Bug 92932 - [SKL] intel_dp_start_link_train ERROR 5.4Gbps rate without HBR2/TPS3 support
Summary: [SKL] intel_dp_start_link_train ERROR 5.4Gbps rate without HBR2/TPS3 support
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-13 10:22 UTC by Timur Alperovich
Modified: 2016-10-10 13:20 UTC (History)
2 users (show)

See Also:
i915 platform: SKL
i915 features:


Attachments
dmesg output with debugging enabled (34.36 KB, text/plain)
2015-11-13 10:28 UTC, Timur Alperovich
no flags Details
gzip -d dmesg.gz (212.02 KB, text/plain)
2015-11-13 13:36 UTC, Jani Nikula
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur Alperovich 2015-11-13 10:22:02 UTC
When starting, I noticed the following error in dmesg:
[    8.086667] [drm:intel_dp_start_link_train [i915]] *ERROR* 5.4 Gbps link rate without HBR2/TPS3 support

The error is repeated if the laptop is suspended and brought back from suspend. 

distribution: Debian (testing)
uname -m: x86_64
uname -r: drm-intel-nightly build; the last commit is: 4c2531304c0a
model: Dell XPS 9350 (i7-6500U)
no external display connected

Will attach the dmesg debug output.
Comment 1 Timur Alperovich 2015-11-13 10:28:53 UTC
Created attachment 119616 [details]
dmesg output with debugging enabled
Comment 2 Jani Nikula 2015-11-13 13:36:56 UTC
Created attachment 119639 [details]
gzip -d dmesg.gz
Comment 3 Jani Nikula 2015-11-13 13:40:08 UTC
You don't have any other display issues, do you?

Your panel is just violating the display port spec, apparently not unusual. *sigh*. We have another report where this has come up, but there's also a black screen involved so let's keep this open about just the error message.
Comment 4 Timur Alperovich 2015-11-13 18:13:57 UTC
I don't have an external display (where it sounds like this would be an issue?) at the moment. I'll update the bug once I get one and connect it to the laptop. The internal display has no issues.
Comment 5 Jani Nikula 2015-11-13 18:50:43 UTC
(In reply to Timur Alperovich from comment #4)
> I don't have an external display (where it sounds like this would be an
> issue?) at the moment. I'll update the bug once I get one and connect it to
> the laptop. The internal display has no issues.

No need, this is an issue on the embedded Display Port as well. That's VESA speak for your internal flat panel.
Comment 6 Timur Alperovich 2015-12-01 19:08:59 UTC
Jani, I attempted to plug in a 4k monitor over the display port. The monitor produced a black screen. At lower resolution (2560x1440), the image is displayed, but at 3840x2160 I get a black screen with the following warnings:
[ 1814.843637] [drm:gen8_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
[ 1815.628547] [drm:intel_dp_start_link_train [i915]] *ERROR* 5.4 Gbps link rate without HBR2/TPS3 support

I'm also seeing this warning when attaching/removing a display:
[ 1806.466752] WARNING: CPU: 0 PID: 1434 at drivers/gpu/drm/i915/intel_pm.c:3537 skl_update_other_pipe_wm+0x138/0x140 [i915]()
[ 1806.466754] WARN_ON(!wm_changed)

It seems benign however. If I switch to using HDMI and try the same resolution as above at 30Hz, the image is also displayed correctly.

This is with the drm-intel-nightly build as of November 30th. Let me know if I can do any other tests, open a different bug, or attach any logs that would be helpful.
Comment 7 Nazar Mokrynskyi 2016-02-04 20:48:29 UTC
I have the same message with Core i7 4900MQ CPU (Haswell) and 4k external monitor connected through Display Port. Monitor is Philips 288P6L (April 2014).

Git Mesa, Current RC version of Linux kernel on top of Ubuntu 16.04 dev.
Comment 8 Jani Nikula 2016-02-05 10:19:41 UTC
This should silence the warning, please try.

http://patchwork.freedesktop.org/series/3120/
Comment 9 Jani Nikula 2016-02-05 10:20:07 UTC
n.b. applies on v4.5-rc1+
Comment 10 Jani Nikula 2016-02-05 12:51:34 UTC
Pushed to drm-intel-next-queued as

commit bfcef5d2135ea1200ac1ea44661619ab8785c9f0
Author: Jani Nikula <jani.nikula@intel.com>
Date:   Fri Feb 5 12:16:10 2016 +0200

    drm/i915/dp: reduce missing TPS3 support errors to debug logging

Thanks for the report, please reopen if the problem persists with that. (The other messages on "CPU pipe B FIFO underrun" and "!wm_changed" are different things.)
Comment 11 Timur Alperovich 2016-02-09 21:39:04 UTC
Tried it with the 4.5-rc3 and the TPS3 support errors no longer show up in the list. Thanks!
Comment 12 Jari Tahvanainen 2016-10-10 13:20:42 UTC
Closing resolved+fixed based on verification done by Reporter. Merge to drm-intel-nightly on Feb 14, 2016 (commit 631c0e8).


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.